import java.rmi.*;

public interface Forum extends Remote {
	/**
 * Enregistre un intervanant dans la structure de mmoristion des intervenants. Cette mthode est
 * appele par le traitant de communication du programme client (IntervenantImpl) 
 * @param intervenant une reference distante vers l'intervenant
 * @param nom nom de l'intervenant
 * @param prenom prenom de l'intervenant
 * @return un identifiant interne representant l'intervenant 
 * dans la structure de mmoristion des intervenants
 */
  public  HashMap enter (Intervenant intervenant, String prenom, String nom)throws RemoteException;
  
   /**
 * De-enregistre un intervanant dans la structure de mmoristion des intervenants. Cette mthode est
 * appele par le traitant de communication du programme client (IntervenantImpl) 
 * @param id identification de l'intervenant retourne lors de l'appel  la methode enter.
 */
  public  void leave(int id) throws RemoteException;
  
 
}



    
  