import java.awt.*;
import java.awt.event.*;
import java.lang.*;
import java.rmi.*;
import java.rmi.server.*;


/**
 * Cette classe dfini le traitant de communication du programme client.
 * Elle est utilise par les classes connectListener,writeListener,whoListener,leaveListener 
 * du GUI pour effectuer les communications distante avec le forum.
*/
public class IntervenantImpl  //TO DO {
 
  private static IrcGui gui;
  
  /**
  * Rfrence distante vers un forum.
  */
  private static Forum forum=null; //ref vers forum   
  
  /**
 * Identification du client dans le forum. Cet identifiant est retourn 
 * lors de l'appel  la mthode enter sur le forum distant.
 */
  private int id;
  
  /**
 * nom de l'intervenant
 */
  private String nom;
  /**
 * prenom de l'intervenant
 */
  private String prenom;
  
  /**
 * constructeur de la classe IntervenantImpl. Le nom et le prenom de l'intervenant sont passs
 * en parametre du programme client (irc.java)
 * @param nom nom de l'intervenant
 * @param prenom prenom de l'intervenant
 */
  public  IntervenantImpl (String nom, String prenom) throws RemoteException {
  	super();
  	this.nom = nom;
  	this.prenom = prenom;
  }
  
 
    
  /**
 * Fixe une reference directe vers le gui (IrcGui). Cette reference est utilise 
 * par le traitant de communication pour imprimer des message de chat dans le gui 
 * via la methode print definie dans IrcGui.
 * @param gui le GUI
 */
  public void setGUI(IrcGui gui){
  	this.gui = gui;
  }
  
  /**
 * Execute la methode enter sur le forum. Cette methode est appel par le traitant 
 * writeListener dfini dans IrcGui. Cette mthode doit utiliser un serveur de nom 
 * pour obtenir une rfrence distante vers le forum et excuter la mthode enter 
 * dessus.
 * @param forum_name nom du forum 
 */
  public void enter (String forum_name) throws Exception {
  	
  	// TO DO
  }
	
  
  /**
 * Execute la methode say sur le forum. Cette methode est appel par le traitant 
 * writeListener dfini dans IrcGui. Cette mthode doit utilise une rfrence distante 
 * vers le forum et excuter la mthode say dessus.
 * @param msg message  envoyer aux intervenants enregistrer dans le forum. 
 */
  public void say (String msg) throws Exception {
  	
  		// TO DO
	
  }
  
  /**
 * Cette methode est appel par le forum pour imprimer un nouveau message de 
 * chat a l'intervenant. Cette impression est dlgue  la mthode print dfinie 
 * dans IrcGui. 
 * @param msg nouveau message  imprimer dans le gui.
 */
  public void listen (String msg) throws PreconditionException {
  	// TO DO
  } 
  
 

  public void  addNewClient(Intervenant i) throws RemoteException{
  	// TO DO
  } 
 
  public void delNewClient(Intervenant i) throws RemoteException{
  	// TO DO
  } 

  /**
 * Execute la methode leave sur le forum. Cette methode est appel par le traitant 
 * leaveListener dfini dans IrcGui. Cette mthode doit utilise une rfrence distante 
 * vers le forum et excuter la mthode leave dessus.
 */
  public void leave() throws Exception {
	// TO DO
  }
  
  /**
 * Execute la methode who sur le forum. Cette methode est appel par le traitant 
 * whoListener dfini dans IrcGui. Cette mthode doit utilise une rfrence distante 
 * vers le forum et excuter la methode who dessus.
 */
  public String who() throws Exception {
	// TO DO
	return null; // CETTE LIGNE EST A CHANGER
  }
}