
/**
 * Computation client
 *
 * @author Christophe Rippert
 */

import java.io.BufferedReader;
import java.io.InputStreamReader;

import java.rmi.Naming;
import java.rmi.RMISecurityManager;

final public class Client {

    final public static void main( String args[] ) throws Exception {
		if (args.length != 2) {
			System.err.println("usage: java Client <registry host name>:<port>");
			System.exit(-1);
		}
		
		System.setSecurityManager(null);
		
		ServerItf server = (ServerItf) Naming.lookup("//" + args[0] + ":" + args[1] + "/" + ServerItf.SIGNATURE_STR);
		System.out.println(ServerItf.SIGNATURE_STR);
		System.out.println(server.execute(ServerItf.HELP, 0, 0));
		
		for (;;) {
			BufferedReader keybInput = new BufferedReader(new InputStreamReader(System.in));
			System.out.print("> ");
			String command = keybInput.readLine().toUpperCase();
			int a = 0;
			int b = 0;
			if (command.equals(ServerItf.ADD) || command.equals(ServerItf.MUL)) {
			System.out.println("Enter two integers: ");
			a = Integer.parseInt(keybInput.readLine());
			b = Integer.parseInt(keybInput.readLine());
			}
			Object result = server.execute(command, a, b);
			System.out.println(result);
			if (result.equals(ServerItf.BYE_STR)) {
			System.exit(0);
			}
		}
		
    }

}   
